#include <bits/stdc++.h>
using namespace std;
vector<pair<int,int> > v;
int main(){
ios_base::sync_with_stdio(0);
cin.tie(NULL);
cout.tie(NULL);
int n; cin>>n;
int d=0;
for(int i=0;i<n;i++){
    int x,y; cin>>x>>y;
    for(int j=0;j<i;j++){
        int x1,y1; tie(x1,y1)=v[j]; x1-=x; y1-=y;
        d+=((x1*x1)+(y1*y1));
    }
    v.push_back({x,y});
}
cout<<d<<'\n';
return 0;
}
